Subject: Re: Possible error in cygpath
From: "Joerg R. Schaible" <[email-masked]>
To: [email-masked]
Date: Wed, 15 May 2002 19:32:24 +0200
Newsgroups: gmane.os.cygwin

Hi Corinna,

"Corinna Vinschen" <[email-masked]> schrieb im Newsbeitrag
news:[email-masked]...
> On Wed, May 15, 2002 at 11:44:51AM +0200, Schaible, Jorg wrote:
> > The reason why I just implemented -s (in 1999) was that GetLongPathName
is
> > not available for Win95. If we have to be Win95-compatible still, you
will
> > have to load the function yourself directly form the DLL and use
> > FindFirstFile (as mensioned in the MSDN docs for *GetShortPathName*) for
> > every part of the path if the function is not available.
>
> Are you interested in implementing that functionality anyway?

No, not me! I just want to remember Mark, that it is not done just by
calling GetLongPathName. Mark, do you still want to implement this ?

> Just
> FYI, it's available since W2K only.  Even on NT4 you'd have to
> go the hard way...

Right, I remember. Since I developed the GetShortPathName option for cygpath
on NT4, I did not implement a counter part ... ;-)

> > you've seen my own patch for cygpath.cc in cygwin-apps ? Chris already
> > answered positivly and RH should have the assignment from late 1999
still.
> > My diff was against the sources from 14.5...
>
> I saw it but it doesn't contain a patch for the above problem.
> It's applied, btw.

OK. Fine. I was not sure if I have to send the patch again against the new
sources with the applied patch of Mark.

Regards,
Jörg

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/